com.trendmicro.ds.platform.rest.object.smartfolder

## Class SmartFolderSummary

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.SmartFolderSummary

-     public class SmartFolderSummary
      extends java.lang.Object

  Details of a Smart Folder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartFolderSummary()` Create an empty smart folder summary.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSmartFolder(SmartFolderSummary childSmartFolder)` Add a child smart folder.
    `java.util.List<SmartFolderSummary>` | `getChildSmartFolders()` Get the list of child smart folders.
    `java.lang.String` | `getName()` Get the smart folder name.
    `java.lang.Long` | `getParentSmartFolderId()` Get the parent smart folder identifier.
    `java.lang.Long` | `getSmartFolderId()` Get the smart folder identifier.
    `java.lang.Integer` | `getType()` Get the smart folder type: 1 - A standard query based smart folder 2 - A smart folder with an AWS tag hierarchy 3 - A child smart folder of a smart folder with AWS tag hierarchy (i.e.
    `void` | `setName(java.lang.String name)` Set the smart folder name.
    `void` | `setParentSmartFolderId(java.lang.Long parentSmartFolderId)` Set the parent smart folder identifier.
    `void` | `setSmartFolderId(java.lang.Long smartFolderId)` Set the smart folder identifier.
    `void` | `setSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)` Set the list of child smart folders.
    `void` | `setType(java.lang.Integer type)` Set the smart folder type.
    `java.lang.String` | `toString()`
    `SmartFolderSummary` | `withChildSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)` Set the list of child smart folders.
    `SmartFolderSummary` | `withName(java.lang.String name)` Set the smart folder name.
    `SmartFolderSummary` | `withParentSmartFolderId(java.lang.Long parentSmartFolderId)` Set the parent smart folder identifier.
    `SmartFolderSummary` | `withSmartFolderId(java.lang.Long smartFolderId)` Set the smart folder identifier.
    `SmartFolderSummary` | `withType(java.lang.Integer type)` Set the smart folder type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmartFolderSummary

          public SmartFolderSummary()

      Create an empty smart folder summary.

  - ### Method Detail

    - #### getSmartFolderId

          public java.lang.Long getSmartFolderId()

      Get the smart folder identifier.
      Returns:
        the smart folder identifier.

    - #### setSmartFolderId

          public void setSmartFolderId(java.lang.Long smartFolderId)

      Set the smart folder identifier.
      Parameters:
        `smartFolderId` - the smart folder identifier.

    - #### withSmartFolderId

          public SmartFolderSummary withSmartFolderId(java.lang.Long smartFolderId)

      Set the smart folder identifier.
      Parameters:
        `smartFolderId` - the smart folder identifier.
      Returns:
        the updated SmartFolderSummary object.

    - #### getName

          public java.lang.String getName()

      Get the smart folder name.
      Returns:
        the smart folder name.

    - #### setName

          public void setName(java.lang.String name)

      Set the smart folder name.
      Parameters:
        `name` - the smart folder name.

    - #### withName

          public SmartFolderSummary withName(java.lang.String name)

      Set the smart folder name.
      Parameters:
        `name` - the smart folder name.
      Returns:
        the updated SmartFolderSummary object.

    - #### getParentSmartFolderId

          public java.lang.Long getParentSmartFolderId()

      Get the parent smart folder identifier.
      Returns:
        the parent smart folder identifier.

    - #### setParentSmartFolderId

          public void setParentSmartFolderId(java.lang.Long parentSmartFolderId)

      Set the parent smart folder identifier.
      Parameters:
        `parentSmartFolderId` - the smart folder identifier.

    - #### withParentSmartFolderId

          public SmartFolderSummary withParentSmartFolderId(java.lang.Long parentSmartFolderId)

      Set the parent smart folder identifier.
      Parameters:
        `parentSmartFolderId` - the parent smart folder identifier.
      Returns:
        the updated SmartFolderSummary object.

    - #### getType

          public java.lang.Integer getType()

      Get the smart folder type: 1 - A standard query based smart folder 2 - A smart folder with an AWS tag hierarchy 3 - A child smart folder of a smart folder with AWS tag hierarchy (i.e. A smart folder representing an AWS tag value)
      Returns:
        the smart folder type.

    - #### setType

          public void setType(java.lang.Integer type)

      Set the smart folder type.
      Parameters:
        `type` - the smart folder type.

    - #### withType

          public SmartFolderSummary withType(java.lang.Integer type)

      Set the smart folder type.
      Parameters:
        `type` - the smart folder type.
      Returns:
        the updated SmartFolderSummary object.

    - #### getChildSmartFolders

          public java.util.List<SmartFolderSummary> getChildSmartFolders()

      Get the list of child smart folders.
      Returns:
        the list of child smart folders.

    - #### setSmartFolders

          public void setSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)

      Set the list of child smart folders.
      Parameters:
        `childSmartFolders` - the list of child smart folders.

    - #### withChildSmartFolders

          public SmartFolderSummary withChildSmartFolders(java.util.List<SmartFolderSummary> childSmartFolders)

      Set the list of child smart folders.
      Parameters:
        `smartFolders` - the list of child smart folders.
      Returns:
        the updated SmartFolderSummary

    - #### addSmartFolder

          public void addSmartFolder(SmartFolderSummary childSmartFolder)

      Add a child smart folder.
      Parameters:
        `childSmartFolder` - the child smart folder to add.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.